-- by MxY.rlp thanks to JohnDeere6930



porsche = {};

function porsche.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function porsche:load(xmlFile)
   self.TwinWheels = {}
	self.TwinWheels.Wheel1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.TwinWheels#Wheel1"));
	self.TwinWheels.Wheel2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.TwinWheels#Wheel2"));
		
end;

function porsche:delete()

end;

function porsche:mouseEvent(posX, posY, isDown, isUp, button)

end;

function porsche:keyEvent(unicode, sym, modifier, isDown)

end;

function porsche:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TWINWHEELS) then
			self.TwinWheelsActive = not self.TwinWheelsActive;
			local tw = self.TwinWheels;
			setVisibility(tw.Wheel1, self.TwinWheelsActive);
			setVisibility(tw.Wheel2, self.TwinWheelsActive);
		end;
	end;
end;

function porsche:draw()
	if self.TwinWheelsActive then
		g_currentMission:addHelpButtonText(g_i18n:getText("TWINWHEELS_1"), InputBinding.TWINWHEELS);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("TWINWHEELS_2"), InputBinding.TWINWHEELS);
	end;
end;